# Enum Disposition

java.lang.Object
java.lang.Enum<Disposition>
com.databricks.jdbc.model.core.Disposition

All Implemented Interfaces:
  `Serializable`, `Comparable<Disposition>`, `java.lang.constant.Constable`

public enum Disposition extends Enum<Disposition>
Enum to represent the disposition of the result data from SQL Execution API.

TODO: Replace this class with the corresponding SDK implementation once it becomes available

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EXTERNAL_LINKS`
Result data is returned as external DBFS links in ARROW format.
`INLINE`
Result data is returned inline in JSON format.
`INLINE_OR_EXTERNAL_LINKS`
Result data is returned as a mix of inline and external links in ARROW format.

## Method Summary

Modifier and Type
Method
Description
`static Disposition`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Disposition[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### EXTERNAL_LINKS

public static final Disposition EXTERNAL_LINKS
Result data is returned as external DBFS links in ARROW format.

### INLINE

public static final Disposition INLINE
Result data is returned inline in JSON format.

### INLINE_OR_EXTERNAL_LINKS

public static final Disposition INLINE_OR_EXTERNAL_LINKS
Result data is returned as a mix of inline and external links in ARROW format.

## Method Details

### values

public static Disposition[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Disposition valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null